# Check for App on Device

To check whether an app is installed on the device, call the `getApplicationDetails()` method.

{% code title="Kotlin" %}

```kotlin
fun getApplicationDetails(
data: String,
callback: IResponseCallback<AppDetailsResponse, Error, Progress>? = null,
metadata: Bundle = Bundle(),
action: Bundle = Bundle()
)
```

{% endcode %}

| PARAMETER | STATUS   | TYPE      | DESCRIPTION                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| --------- | -------- | --------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| data      | Required | String    | The DT application ID or package name.                                                                                                                                                                                                                                                                                                                                                                                                             |
| callback  | Optional | Interface | <p>The DTIS SDK includes the <code>IResponseCallback</code> interface for you to receive asynchronous responses.</p><p>You can receive application detail responses in callbacks and/or broadcasts. If you do not wish to receive installation status notifications via callback, set this parameter to null.</p>                                                                                                                                  |
| metadata  | Optional | Bundle    | Metadata that may be needed for additional processing                                                                                                                                                                                                                                                                                                                                                                                              |
| action    | Optional | Bundle    | <p>Bundle containing the broadcast to be triggered asynchronously as the task progresses. In the bundle, specify the fully qualified class name of the BroadcastReceiver. For example, <code>com.myapp.receivers.MyBroadcastReceiver.k</code></p><p></p><p>You can receive application detail response callbacks and/or broadcasts. If you do not wish to receive installation status notifications via broadcast, set this parameter to null.</p> |

### Example

{% code title="Kotlin" %}

```kotlin
// Initialization

// ...

IgniteServiceSdk.instance().getApplicationDetails(packageName, callback: IResponseCallback<AppDetailsResponse, Error, Progress> {
    override fun onSuccess(result: AppDetailsResponse) {
        Log.i(TAG, “Package Installed Status: ${result.appSummary?.isAppInstalled}”)
    }

    override fun onError(error: Error) {
        Log.e(TAG, “Package Installed Status Error: ${error.message}”)
    }
})

// ...
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalturbine.com/dt-ignite/ignite-services/sdk-reference/check-for-app-on-device.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
